###############################################################################
#  Copyright (c) 2012-2014 SAP SE.
#  All rights reserved. This program and the accompanying materials
#  are made available under the terms of the Eclipse Public License v1.0
#  which accompanies this distribution, and is available at
#  http://www.eclipse.org/legal/epl-v10.html
#
#  Contributors:
#  SAP SE - initial API and implementation and/or initial documentation
#
###############################################################################
# Messages of the Tabbed Properties Editor
# __ldi.translation.uuid=6bc97250-817f-11e2-9e96-0800200c9a66

# XCEL: Cell value
EMPTY_ENTER=None

# XCEL: Cell value
AnnotationLabelProvider_0=%s (Collection of %s)
# XCEL: Cell value
AnnotationLabelProvider_1=%s (%s)

# XBUT:	Button text
AssociationSetDialog_ADD_BUTTON_TEXT=Add
# XBUT:	Button text
AssociationSetDialog_button_Apply=Apply
# XROW: Table row heading
AssociationSetDialog_END1=End1
# XROW: Table row heading
AssociationSetDialog_END2=End2
# XROW: Table row heading
AssociationSetDialog_NAME=Name
# XBUT:	Button text
AssociationSetDialog_REMOVE_BUTTON_TEXT=Remove
# XHED: Dialog heading
AssociationSetDialog_TITLE=Association Sets
# YTXT: General text
AssociationSetDialog_TOP_EXPLENATION=Maintain Association Sets

# YLOG: Log entry
AssociationSetModel_0=Error found: AssociationSet data list is null
# XROW: Table row heading
AssociationSetModel_2=End%d(%s)
# YLOG: Log entry
AssociationSetModel_AssociationSetMustContainValue=Association set (%s) ends must contain value
# YLOG: Log entry
AssociationSetModel_Log_1=Cannot create association set on null association
# XMSG: Error message
AssociationSetModel_Validate_0=Association set name must be unique (%s)
# YLOG: Log entry
AssociationSetModel_Log_2=Missing references on association set %s
# YLOG: Log entry
AssociationSetModel_Log_3=Inconsistent association %s
# XGRP: Group title
CommonStatusDialog_Details=Details
# XHED: Dialog heading
CommonStatusDialog_ReadOnly=(Read Only) 

# XCEL: Cell value
DescriptorId_Abstract=Abstract
# XCEL: Cell value
DescriptorId_Alias=Alias
# XCEL: Cell value
DescriptorId_Association=Association
# XCEL: Cell value
DescriptorId_AssociationSetName=Association Set Name
# XCEL: Cell value
DescriptorId_AssociationSets=Association Sets
# XCEL: Cell value
DescriptorId_Author=Author
# XCEL: Cell value
DescriptorId_BaseType=Base Type
# XCEL: Cell value
DescriptorId_Bindto=Bind to
# XCEL: Cell value
DescriptorId_Collection=Collection
# XCEL: Cell value
DescriptorId_ContainsTarget=Contains Target
# XCEL: Cell value
DescriptorId_Default=Default
# XCEL: Cell value
DescriptorId_Description=Description
# XCEL: Cell value
DescriptorId_Documentation=Documentation
# XCEL: Cell value
DescriptorId_END1=End1
# XCEL: Cell value
DescriptorId_END2=End2
# XCEL: Cell value
DescriptorId_EntitySet=Entity Set
# XCEL: Cell value
DescriptorId_EntityType=Entity Type
# XCEL: Cell value
DescriptorId_EnumValue=Value
# XCEL: Cell value
DescriptorId_UnderlyingType=Underlying Type
# XCEL: Cell value
DescriptorId_UseForEtag = Use For ETag
# XCEL: Cell value
DescriptorId_Facets=Facets
# XCEL: Cell value 
DescriptorId_FixedLength=Fixed Length
# XCEL: Cell value
DescriptorId_Flags=Flags
# XCEL: Cell value
DescriptorId_FromRole=From Role

# XCEL: Cell value
#TODO Start - Enable with OData V4 support
#DescriptorId_HasSideeffect=Has Side Effect
DescriptorId_HasSideeffect=HTTP Method Type
#End - Enable with OData V4 support

# XCEL: Cell value
DescriptorId_Id=ID
# XCEL: Cell value
DescriptorId_ImageURL=Image URL
# XCEL: Cell value
DescriptorId_Key=Key
# XCEL: Cell value
DescriptorId_LongDescriptor=Long Descriptor
# XCEL: Cell value
DescriptorId_MaxLength=Max Length
# XCEL: Cell value
DescriptorId_Media=Media
# XCEL: Cell value
DescriptorId_MetadataURL=Metadata URL
# XCEL: Cell value
DescriptorId_Multiplicity=Multiplicity
# XCEL: Cell value
DescriptorId_Name=Name
# XCEL: Cell value
DescriptorId_Namespace=Namespace
# XCEL: Cell value
DescriptorId_Nullable=Nullable
# XCEL: Cell value
DescriptorId_Precision=Precision
# XCEL: Cell value
DescriptorId_ReferentialConstraint=Referential Constraint
# XCEL: Cell value
DescriptorId_Relationship=Relationship
# XCEL: Cell value
DescriptorId_ReturnType=Return Type
# XCEL: Cell value
DescriptorId_Role=Role
# XCEL: Cell value
DescriptorId_Scale=Scale
# XCEL: Cell value
DescriptorId_ServiceURL=Service URL
# XCEL: Cell value
DescriptorId_Summary=Summary
# XCEL: Cell value
DescriptorId_TechnicalServiceName=Technical Service Name
# XCEL: Cell value
DescriptorId_TechnicalServiceVersion=Technical Service Version
# XCEL: Cell value
DescriptorId_Title=Title
# XCEL: Cell value
DescriptorId_ToRole=To Role
# XCEL: Cell value
DescriptorId_Type=Type
# XCEL: Cell value
DescriptorId_UpdatedDate=Updated Date

# XCEL: Cell value
DescriptorId_Schema=Schema

# XBUT:	Button text
DynamicTermsDialog_AddItem=Add
# XBUT:	Button text
DynamicTermsDialog_RemoveItem=Remove
# XFLD: Label
DynamicTermsDialog_AddRemoveMaintainTermValues=Add, remove, or maintain term values
# XHED: Dialog heading
DynamicTermsDialog_MaintainDynamicAnnotations=Maintain Dynamic Annotations
# XROW: Table row heading
DynamicTermsDialog_ValueHeader=Value

#TODO Start - Enable with OData V4 support
FunctionImport_HttpMethod_GET=GET
FunctionImport_HttpMethod_POST=POST
#End - Enable with OData V4 support

# XROW: Table row heading
RefConstraintsDialog_DependentColumnTitle=Dependent Property
# YTXT: General text
RefConstraintsDialog_HostText=Select an entity to be assigned to the principal role and, map it's keys to the relevant properties of the dependent entity.
# XROW: Table row heading
RefConstraintsDialog_PrincipleColumnTitle=Principal Key
# XHED: Dialog heading
RefConstraintsDialog_Title=Referential Constraint
# XBUT:	Button text
ReferentialConstraintsDialog_Delete=Delete
# XFLD: Label describes a cell
ReferentialConstraintsDialog_Dependent=Dependent:
# XFLD: Label describes a cell
ReferentialConstraintsDialog_Principle=Principal:
# XMSG: Error message
ReferentialConstraintsDialog_theSameDependentProperty=You cannot select the same dependent property twice

# XHED: View heading
TabbedPropertyHeaderProvider_Association=Association
# XHED: View heading
TabbedPropertyHeaderProvider_AssociationSet=AssociationSet
# XHED: View heading
TabbedPropertyHeaderProvider_ComplexType=ComplexType
# XHED: View heading
TabbedPropertyHeaderProvider_EntitySet=EntitySet
# XHED: View heading
TabbedPropertyHeaderProvider_EntityType=EntityType
# XHED: View heading
TabbedPropertyHeaderProvider_EnumMember=EnumMember
# XHED: View heading
TabbedPropertyHeaderProvider_EnumType=EnumType
# XHED: View heading
TabbedPropertyHeaderProvider_Function_Import_Return_Type=FunctionImportReturnType
# XHED: View heading
TabbedPropertyHeaderProvider_FunctionImport=FunctionImport
# XHED: View heading
TabbedPropertyHeaderProvider_NavigationProperty=NavigationProperty
# XHED: View heading
TabbedPropertyHeaderProvider_Parameter=Parameter
# XHED: View heading
TabbedPropertyHeaderProvider_Property=Property
# XHED: View heading
TabbedPropertyHeaderProvider_Schema=Schema
# XHED: View heading
TabbedPropertyHeaderProvider_ValueTerm=ValueTerm

# XMSG: Error message
TextComboCellEditor_WrongValue=Wrong value

# YLOG: Log entry
TransactionAssociationSetChangeCommand_Log_0=AssociationSet change transaction started
# YLOG: Log entry
TransactionAssociationSetChangeCommand_Log_1=AssociationSet change transaction ended

# XMSG: Error message
TypeConverter_Parse_Error1=Unable to parse a string; invalid entry at position %d

# XCEL: Cell value
Utilities_AnnotationCollectionStringFormat=Collection (%d)
# XCEL: Cell value
Utilities_AssociationSetStringFotmat=(%d)

# XCEL: Cell value
Utilities_RCStringFormat=%s -> %s

# XMSG: Error message
validation_contain_spaces=Error - Names cannot contain spaces

# XMSG: Error message
validation_first_char=Error - Names cannot begin with a number
# XMSG: Error message
validation_Incorrect_floating_point_format=Error - Incorrect floating entry format
# XMSG: Error message
validation_name_empty=Error - Names cannot be empty
# XMSG: Error message
validation_name_keywords=Error - Names cannot be keywords like system, odata, transient or edm
# XMSG: Error message
validation_no_special_char=Error - Special characters are not allowed
# XMSG: Error message
validation_only_digits=Error - Only digits are allowed
# XMSG: Error message
validation_out_of_boundary=Error - Number exceeds allowed limit
# XMSG: Error message
Validator_ParseError1=Unable to parse a string; invalid entry at position %d

# XMSG: Error message
Validator_3=Enter a valid date format (e.g. %s)
# XMSG: Error message
Validator_Exceed_Length=The name MUST NOT exceed 128 characters
# XMSG: Error message
Validator_Exceed_Length_Namespace=The name MUST NOT exceed 511 characters
# XMSG: Error message
Validator_Exceed_Length_Namespace_PartName=The part name MUST NOT exceed 128 characters
# XMSG: Error message
Validator_Invalid_Characters_Namespace=The name MUST NOT contain invalid characters   
# XMSG: Error message
Validator_Invalid_PartName_Namespace=The name contains invalid partname
# XMSG: Error message
Validator_UUID=Enter a valid UUID format (e.g. 067e6162-3b6f-4bb2-a171-2470b63dff12)

# XBUT:	Button text
VocabulariesDialog_Apply=Apply
# XMSG: Text message
VocabulariesDialog_No_applicable_terms_found=No applicable terms were found in the following vocabularies:
# YMSE: Error message
VocabulariesDialog_No_description_available=No description available
# XHED: Dialog heading
VocabulariesDialog_Title=Maintain Annotation
# YTXT: General text
VocabulariesModelDialog_Top_Explanation=Select the terms to be applied
# XROW: Table row heading
VocabulariesSection_first_column_name=Term
# XTBS: Tab name
VocabulariesTabDescriptor_Label=Annotations
# XROW: Table row heading 
GeneralSection_first_column_name=Attributes
# XTBS: Tab name
GeneralTabDescriptor_Label=General

# XMIT: Menu item
VocabularyButton_Title=Maintain Annotations
# XMIT: Menu item tooltip
VocabularyButton_ToolTip=Maintain terms for selected entity
